comunidad_expertos_paint_list:
    pattern:  /dibujos/{page}/{order}
    defaults: { _controller: "WebelopingLanderBundle:Paint:list", order: numero-de-votos, page: 1 }
    methods:  [GET]
    requirements:
        page: \d+
        order: fecha|nombre-de-usuario|numero-de-votos|numero-de-respuestas|numero-de-visitas|titulo

comunidad_expertos_paint_search:
    pattern:  /dibujos/buscar/{q}/{page}
    defaults: { _controller: "WebelopingLanderBundle:Paint:search", q: ~, page: 1 }
    methods:  [GET]
    requirements:
        page: \d+

comunidad_expertos_paint_new:
    pattern:  /dibujo/nuevo
    defaults: { _controller: "WebelopingLanderBundle:Paint:new" }
    methods:  [GET,POST]

comunidad_expertos_paint_edit:
    pattern:  /dibujo/editar/{id}
    defaults: { _controller: "WebelopingLanderBundle:Paint:edit" }
    methods:  [GET,POST]
    requirements:
        id: \d+

comunidad_expertos_paint_delete:
    pattern:  /dibujo/eliminar/{id}
    defaults: { _controller: "WebelopingLanderBundle:Paint:delete" }
    methods:  [GET]
    requirements:
        id: \d+

comunidad_expertos_paint_show:
    pattern:  /dibujo/{id}
    defaults: { _controller: "WebelopingLanderBundle:Paint:show" }
    methods:  [GET, POST]
    requirements:
        id: \d+

comunidad_expertos_paint_reply_new:
    pattern:  /dibujo/responder/{id}
    defaults: { _controller: "WebelopingLanderBundle:Paint:reply" }
    methods:  [GET,POST]
    requirements:
        id: \d+

comunidad_expertos_paint_reply_edit:
    pattern:  /dibujo/editar-respuesta/{id}
    defaults: { _controller: "WebelopingLanderBundle:Paint:replyEdit" }
    methods:  [GET,POST]
    requirements:
        id: \d+

comunidad_expertos_paint_reply_delete:
    pattern:  /dibujo/eliminar-respuesta/{id}
    defaults: { _controller: "WebelopingLanderBundle:Paint:deleteAnswer" }

comunidad_expertos_paint_vote_up:
    pattern:  /dibujo/voto-positivo/{id}
    defaults: { _controller: "WebelopingLanderBundle:Paint:voteUp" }
    methods:  [GET]
    requirements:
        id: \d+

comunidad_expertos_paint_vote_down:
    pattern:  /dibujo/voto-negativo/{id}
    defaults: { _controller: "WebelopingLanderBundle:Paint:voteDown" }
    methods:  [GET]
    requirements:
        id: \d+

comunidad_expertos_paint_favorite:
    pattern:  /dibujo/marcar-favorito/{id}
    defaults: { _controller: "WebelopingLanderBundle:Paint:favorite" }
    methods:  [GET]
    requirements:
        id: \d+

comunidad_expertos_paint_spam:
    pattern:  /dibujo/spam/{id}
    defaults: { _controller: "WebelopingLanderBundle:Paint:spam" }
    methods:  [GET]
    requirements:
        id: \d+
        
comunidad_expertos_paint_reply_vote_up:
    pattern:  /dibujo/respuesta/voto-positivo/{id}
    defaults: { _controller: "WebelopingLanderBundle:Paint:answerVoteUp" }
    methods:  [GET]
    requirements:
        id: \d+
        
comunidad_expertos_paint_reply_vote_down:
    pattern:  /dibujo/respuesta/voto-negativo/{id}
    defaults: { _controller: "WebelopingLanderBundle:Paint:answerVoteDown" }
    methods:  [GET]
    requirements:
        id: \d+
        
comunidad_expertos_paint_reply_favorite:
    pattern:  /dibujo/respuesta/marcar-favorito/{id}
    defaults: { _controller: "WebelopingLanderBundle:Paint:favoriteAnswer" }
    methods:  [GET]
    requirements:
        id: \d+
        
comunidad_expertos_paint_reply_spam:
    pattern:  /dibujo/respuesta/spam/{id}
    defaults: { _controller: "WebelopingLanderBundle:Paint:spamAnswer" }
    methods:  [GET]
    requirements:
        id: \d+